@prefix cc: <http://creativecommons.org/ns#> .
@prefix dcat: <http://www.w3.org/ns/dcat#> .
@prefix dct: <http://purl.org/dc/terms/> .
@prefix foaf: <http://xmlns.com/foaf/0.1/> .
@prefix org: <http://www.w3.org/ns/org#> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix dcatap: <http://data.europa.eu/r5r/> .
@prefix pv: <https://piveau.eu/ns/voc#> .
@prefix pvla: <https://piveau.eu/ns/licensing-assistant#> .

<http://data.europa.eu/r5r/shacl_shapes>
    dcat:accessURL <https://joinup.ec.europa.eu/solution/dcat-application-profile-data-portals-europe/distribution/dcat-ap-200-shacl-shapes>;
    dcat:downloadURL <https://github.com/SEMICeu/DCAT-AP/raw/cea5a96bb4a6f120c20b7a2b3fb4d86bcd725952/releases/2.0.0/Draft/dcat-ap_2.0.0_shacl_shapes.ttl> ;
    dcatap:availability <http://data.europa.eu/r5r/stable> ;
    dct:format <http://publications.europa.eu/resource/authority/file-type/RDF_TURTLE> ;
    dct:conformsTo <https://www.w3.org/TR/shacl> ;
    dct:creator [
                       rdfs:seeAlso <https://www.linkedin.com/in/bert-van-nuffelen-a349634/> ;
                       org:memberOf <https://tenforce.com> ;
                       foaf:homepage <https://www.linkedin.com/in/bert-van-nuffelen-a349634/> ;
                       foaf:name "Bert Van Nuffelen"
                   ], [
                       rdfs:seeAlso <https://www.ails.ece.ntua.gr/people/natasa> ;
                       org:memberOf <https://www.ails.ece.ntua.gr/> ;
                       foaf:homepage <https://www.ails.ece.ntua.gr/people/natasa> ;
                       foaf:name "Natasa Sofou"
                   ], [
                       rdfs:seeAlso <http://eugeniu.costezki.ro#me> ;
                       org:memberOf <http://publications.europa.eu/resource/authority/corporate-body/PUBL> ;
                       foaf:homepage <http://costezki.ro> ;
                       foaf:name "Eugeniu Costetchi"
                   ], [
                       rdfs:seeAlso <http://makxdekkers.com/#me> ;
                       org:memberOf <http://ami-consult.com/#id> ;
                       foaf:homepage <http://makxdekkers.com/> ;
                       foaf:name "Makx Dekkers"
                   ], [
                       rdfs:seeAlso <http://nikosloutas.com/> ;
                       org:memberOf <http://www.pwc.com/gx/en/eu-institutions-services> ;
                       foaf:homepage <http://nikosloutas.com/> ;
                       foaf:name "Nikolaos Loutas"
                   ], [
                       rdfs:seeAlso <http://www.deri.ie/users/vassilios-peristeras/> ;
                       org:memberOf <http://publications.europa.eu/resource/authority/corporate-body/COM> ;
                       foaf:homepage <http://www.deri.ie/users/vassilios-peristeras/> ;
                       foaf:name "Vassilios Peristeras"
                   ] ;
    dct:license <https://creativecommons.org/licenses/by/4.0> ;
    cc:attributionURL <http://ec.europa.eu/> ;
    dct:modified "2021-12-01"^^xsd:date ;
    dct:publisher <http://publications.europa.eu/resource/authority/corporate-body/DIGIT> ;
    dct:relation <https://joinup.ec.europa.eu/collection/semantic-interoperability-community-semic/solution/dcat-application-profile-data-portals-europe/release/210> ;
    dct:description "This document specifies the constraints on properties and classes expressed by DCAT-AP in SHACL."@en ;
    dct:title "The constraints of DCAT Application Profile for Data Portals in Europe"@en ;
    owl:versionInfo "2.1.1" ;
    foaf:homepage <https://joinup.ec.europa.eu/collection/semantic-interoperability-community-semic/solution/dcat-application-profile-data-portals-europe/release/210> ;
    foaf:maker [
                       foaf:mbox <mailto:contact@semic.eu> ;
                       foaf:name "DCAT-AP Working Group" ;
                       foaf:page <https://github.com/SEMICeu/DCAT-AP>, <https://joinup.ec.europa.eu/node/64331>
                   ] .

#---------------------------------------------------------------
# SHACL Shape to manage Licensing Assistant 2.0 in Data Europa
#---------------------------------------------------------------

pv:VocableLicence_Shape
    a sh:NodeShape ;
    sh:name "Vocabulary"@en ;
    sh:property [
          sh:maxCount 1 ;
          pv:mappingClass "StandardText" ;
          pv:mappingName "id"
      ], [
          sh:maxCount 1 ;
          pv:mappingClass "MultiLangTitle" ;
          pv:mappingName "pref_label"
      ], [
        sh:maxCount 1 ;
        pv:mappingClass "MultiLangTitle" ;
        pv:mappingName "alt_label"
    ], [
        sh:maxCount 1 ;
        pv:mappingClass "StandardKeyword" ;
        pv:mappingName "resource"
      ], [
          pv:mappingClass "StandardKeyword" ;
          pv:mappingName "in_scheme"
      ], [
        sh:maxCount 1 ;
        pv:mappingClass "Nested" ;
        pv:mappingName "addendum" ;
        pv:mappingLink pvla:Addendum_Shape ;
        sh:path pvla:addendum
      ], [
          sh:maxCount 1 ;
          pv:mappingClass "Nested" ;
          pv:mappingName "extensions" ;
          pv:mappingProperty [
                          sh:maxCount 1 ;
                          pv:mappingClass "StandardKeyword" ;
                          pv:mappingName "foaf_type"
                      ], [
                          sh:maxCount 1 ;
                          pv:mappingClass "StandardKeyword" ;
                          pv:mappingName "foaf_homepage"
                      ], [
                          sh:maxCount 1 ;
                          pv:mappingClass "StandardKeyword" ;
                          pv:mappingName "foaf_mbox"
                      ], [
                          sh:maxCount 1 ;
                          pv:mappingClass "StandardKeyword" ;
                          pv:mappingName "iso_31661_alpha2"
                      ], [
                          sh:maxCount 1 ;
                          pv:mappingClass "StandardKeyword" ;
                          pv:mappingName "iso_6391_code"
                      ], [
                          sh:maxCount 1 ;
                          pv:mappingClass "StandardKeyword" ;
                          pv:mappingName "licensing_assistant"
                      ]
      ] ;
    sh:targetClass pv:Vocable .

pvla:Addendum_Shape
    a sh:NodeShape ;
    sh:name "Addendum"@en ;
    sh:property [
        sh:maxCount 1 ;
        pv:mappingClass "Boolean" ;
        pv:mappingName "database_rights_covered" ;
        sh:path pvla:databaseRightsCovered
      ], [
        sh:maxCount 1 ;
        pv:mappingClass "Nested" ;
        pv:mappingName "permissions" ;
        pv:mappingLink pvla:Permissions_Shape ;
        sh:path pvla:permissions
      ], [
        sh:maxCount 1 ;
        pv:mappingClass "Nested" ;
        pv:mappingName "prohibitions" ;
        pv:mappingLink pvla:Prohibitions_Shape ;
        sh:path pvla:prohibitions
      ], [
        sh:maxCount 1 ;
        pv:mappingClass "Nested" ;
        pv:mappingName "requirements" ;
        pv:mappingLink pvla:Requirements_Shape ;
        sh:path pvla:requirements
      ] ;
    sh:targetClass pvla:Addendum .

pvla:Permissions_Shape
    a sh:NodeShape ;
    sh:name "Permissions"@en ;
    sh:property [
          sh:maxCount 1 ;
          pv:mappingClass "Boolean" ;
          pv:mappingName "derivative_works" ;
          sh:path pvla:derivativeWorks
      ], [
          sh:maxCount 1 ;
          pv:mappingClass "Boolean" ;
          pv:mappingName "distribution" ;
          sh:path pvla:distribution
      ], [
        sh:maxCount 1 ;
        pv:mappingClass "Boolean" ;
        pv:mappingName "patent_grant" ;
        sh:path pvla:patentGrant
      ], [
        sh:maxCount 1 ;
        pv:mappingClass "Boolean" ;
        pv:mappingName "reproduction" ;
        sh:path pvla:reproduction
    ], [
        sh:maxCount 1 ;
        pv:mappingClass "Boolean" ;
        pv:mappingName "sublicensing" ;
        sh:path pvla:sublicensing
    ] ;
    sh:targetClass pvla:Permissions .

pvla:Prohibitions_Shape
    a sh:NodeShape ;
    sh:name "Prohibitions"@en ;
    sh:property [
          sh:maxCount 1 ;
          pv:mappingClass "Boolean" ;
          pv:mappingName "commercial" ;
          sh:path pvla:commercial
      ], [
          sh:maxCount 1 ;
          pv:mappingClass "Boolean" ;
          pv:mappingName "use_trademark" ;
          sh:path pvla:useTrademark
      ] ;
    sh:targetClass pvla:Prohibitions .

pvla:Requirements_Shape
    a sh:NodeShape ;
    sh:name "Requirements"@en ;
    sh:property [
          sh:maxCount 1 ;
          pv:mappingClass "Boolean" ;
          pv:mappingName "attribution" ;
          sh:path pvla:attribution
      ], [
          sh:maxCount 1 ;
          pv:mappingClass "Boolean" ;
          pv:mappingName "copyleft" ;
          sh:path pvla:copyleft
      ], [
          sh:maxCount 1 ;
          pv:mappingClass "Boolean" ;
          pv:mappingName "lesser_copyleft" ;
          sh:path pvla:lesserCopyleft
      ], [
          sh:maxCount 1 ;
          pv:mappingClass "Boolean" ;
          pv:mappingName "notice" ;
          sh:path pvla:notice
      ], [
          sh:maxCount 1 ;
          pv:mappingClass "Boolean" ;
          pv:mappingName "share_alike" ;
          sh:path pvla:shareAlike
      ], [
          sh:maxCount 1 ;
          pv:mappingClass "Boolean" ;
          pv:mappingName "state_changes" ;
          sh:path pvla:stateChanges
      ] ;
    sh:targetClass pvla:Requirements .